#ifndef __GURUMDDS_XML_H__
#define __GURUMDDS_XML_H__

#include <gurumdds/dcps.h>

#ifdef __cplusplus
extern "C" {
#endif

/**
 * Create DDS XML Application Context
 *
 * @param xml_path Paths of xml or NULL if you want to load xml from environment variable
 *                 note that paths can be separated by colon
 * @param name_expr application name expression (e.g. ShapesRelatedApplications::SimpleShapesDemoApplication)
 *
 * @return List of domain participants in the application
 */
GURUMDDS_C_DLLAPI dds_InstanceHandleSeq* dds_xml_Application_create(const char* xml_path, const char* name_expr);

#ifdef __cplusplus
}
#endif

#endif /* __GURUMDDS_XML_H__ */
